condenser_api.list_proposal_votes
Purpose
지정된 투표자 또는 proposal.id부터 모든 프로포절 (제안) 투표를 반환합니다. 파라미터: start:array; limit:int; order:string; order_direction:string; status:string
start는order에 따라 달라집니다 (아래 참고)voter- 프로포절의 투표자 (계정 이름 문자열)proposal.id- 프로포절의 id (int)
limit는 최대 1000입니다.order는 다음 중 하나:by_voter_proposal- 프로포절 투표자 순by_proposal_voter-proposal.id순
order_direction은 다음 중 하나:ascendingdescending
statusallinactiveactiveexpiredvotable
start (array) | limit (int) | order (string) | order_direction (string) | status (string) | |
|---|---|---|---|---|---|
["alice"] | 10 | by_voter_proposal | ascending | active | active 상태의 프로포절 10개를, 투표자 순 오름차순으로 나열합니다 |
[10] | 1000 | by_proposal_voter | ascending | votable | 프로포절 10에 대한 투표 1000개를, proposal.id 순 오름차순으로 나열합니다 |
함께 보기: datbase_api.list_proposals
Parameters
PARAMETERS
json
[
[],
0,
"by_name",
"ascending",
"all"
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.list_proposal_votes",
"params": [
[
""
],
10,
"by_voter_proposal",
"ascending",
"active"
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.list_proposal_votes",
"params": [
[
0
],
10,
"by_proposal_voter",
"ascending",
"active"
],
"id": 1
}'Response
RESPONSE
json
[
{
"id": 0,
"voter": "charlie",
"proposal": {
"id": 0,
"proposal_id": 0,
"creator": "alice",
"receiver": "bob",
"start_date": "2019-07-01T00:00:00",
"end_date": "2019-08-01T23:59:59",
"daily_pay": {
"amount": "4800000",
"precision": 3,
"nai": "@@000000013"
},
"subject": "My Proposal",
"permlink": "creator-proposal-permlink",
"total_votes": "77351826710",
"status": "active"
}
}
]